Subject: Re: [[PATCH stable <3.12]] xen-netback: fix refcnt unbalance for 3.11 and earlier versions

From: Greg KH <[email-masked]>
Date: Mon, 2 Dec 2013 09:19:58 -0800

On Mon, Dec 02, 2013 at 12:01:34PM +0000, Wei Liu wrote:
> On Sat, Nov 30, 2013 at 08:48:35PM -0800, Greg KH wrote:
> > On Thu, Nov 28, 2013 at 12:48:09PM +0000, Wei Liu wrote:
> > > With the introduction of "xen-netback: Don't destroy the netdev until
> > > the vif is shut down" (upstream commit id 279f438e36), vif disconnect
> > > and free are separated. However in the backported verion reference
> > > counting code was not correctly modified, and the reset of vif->tx_irq
> > > was lost. If frontend goes through vif life cycle more than once the
> > > reference counting is skewed.
> > > 
> > > This patch adds back the missing tx_irq reset line. It also moves
> > > several lines of the reference counting code to vif_free, so the moved
> > > code corresponds to the counterpart in vif_alloc, thus the reference
> > > counting is balanced.
> > > 
> > > 3.12 and onward versions are not affected by this bug, because reference
> > > counting code was removed due to the introduction of 1:1 model.
> > > 
> > > This pacth should be backported to all stable verions which are lower
> > > than 3.12 and have 279f438e36.
> > 
> > What stable versions are those?  279f438e36 showed up in 3.12-rc2, and
> > was not marked for stable inclusion, so what kernel would end up needing
> > this patch?
> > 
> 
> Greg,
> 
> 279f438e36 was backported to at least stable branches 
> 
>   3.11.y: <[email-masked]> commit id f495ddc46
>   3.10.y: <[email-masked]> commit id a4626bf64
> 
> So at least those two need this patch.
> 
> And I remeber 3.8.y.z extended stable branch maintained by Kamal also
> has the said commit.
> 
> > confused,
> > 
> 
> Sorry, I should've stated cleared all versions.
> 
> BTW the above patch applies to 3.11.y. I can provide backports to 3.10.y
> as well, if necessary.

As 3.11.y is now dead, there's not much I can do with that one, but I
could use a backport for 3.10.y, as this patch does not apply there,
thanks.

greg k-h